Bug 75465

Summary: [WK2] WebPageProxy::activeURL should return unreachableURL() when it's not empty
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, ap, dglazkov, gns, mitz, plaes, sam, sullivan, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 75433    
Attachments:
Description Flags
Patch
none
Updated patch pnormand: review+, webkit.review.bot: commit-queue-

Description Carlos Garcia Campos 2012-01-03 01:26:03 PST
Assuming unreachableURL is what the user should show in the location entry, the active URL of the page should be the unreachableURL when loadAlternateHTML has been used to load current page contents.
Comment 1 Carlos Garcia Campos 2012-01-03 01:28:50 PST
Created attachment 120918 [details]
Patch
Comment 2 Priit Laes (IRC: plaes) 2012-01-05 03:44:29 PST
(In reply to comment #1)
> Created an attachment (id=120918) [details]
> Patch

Could you also remove the FIXME from WebViewTest::replaceContent in Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.cpp ?
Comment 3 Carlos Garcia Campos 2012-01-05 03:49:41 PST
(In reply to comment #2)
> (In reply to comment #1)
> > Created an attachment (id=120918) [details] [details]
> > Patch
> 
> Could you also remove the FIXME from WebViewTest::replaceContent in Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.cpp ?

Sure
Comment 4 Carlos Garcia Campos 2012-01-05 04:00:18 PST
Created attachment 121255 [details]
Updated patch

It removes the workaround used to fix unit tests in r104129
Comment 5 WebKit Review Bot 2012-01-05 04:01:53 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 6 WebKit Review Bot 2012-01-05 13:20:25 PST
Comment on attachment 121255 [details]
Updated patch

Attachment 121255 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11143062

New failing tests:
http/tests/inspector/network/download.html
Comment 7 Carlos Garcia Campos 2012-03-05 06:46:17 PST
ping, could someone review this patch please?
Comment 8 Philippe Normand 2012-03-15 01:52:30 PDT
Comment on attachment 121255 [details]
Updated patch

LGTM
Comment 9 Carlos Garcia Campos 2012-03-15 02:09:17 PDT
Committed r110834: <http://trac.webkit.org/changeset/110834>